Phase-out of TLS 1.0

As per requirement from PCI (https://blog.pcisecuritystandards.org/are-you-ready-for-30-june-2018-sayin-goodbye-to-ssl-early-tls), TLS 1.0 must be discontinued before 30 July 2018.

What is TLS

TLS is a protocol used in the encryption between for instance a server and a browser. However, TLS 1.0 is outdated and thus a potential security risk. PCI requires that all future communication should use TLS 1.1 or TLS 1.2.

Read more on TLS on wikipedia https://en.wikipedia.org/wiki/Transport_Layer_Security

What should I do?

At QuickPay we begin the phase-out on the 1st of May. This means that from the 1st of May, you can no longer communicate with our systems or accept payments if you are still using TLS 1.0.

Most likely this will not be a problem, as the majority of systems already use TLS 1.1 or TLS 1.2. However, we recommend that you as soon as possible contact your web hosting service to confirm that your systems are updated.

Phase-out status

TLS 1.0

  • Operational

Next disable of TLS will happen on may 24th at 14:30

TLS 1.0 - Legacy proxy

  • Operational

Contact QuickPay Support
Need help?

support@quickpay.net